BEGIN MISC6MDH

IF ~OR(2)
!Race(Player1,VAMPIRE)
Race(Player1,VAMPIRE)~
THEN BEGIN heartOpen
   SAY ~(You take demon's heart into your hand. You sense a strong deadly force still pulsating in it.)~
   IF ~~ THEN REPLY ~I am going to eat this heart and will gain new powers.~ GOTO itemEat
  IF ~~ THEN REPLY ~(Put it back to inventory.)~ GOTO  itemBack
END

IF ~~ itemBack
SAY ~(You put demon's heart back to your posessions.)~ 
IF ~~ THEN DO ~~ EXIT
END

IF ~~ itemEat
   SAY ~(You take demon's heart and begin to tear pieces of him by your teeths, swallowing it's pieces. It has a terrible taste of rotten meat and spoiled eggs.)~
   IF ~RandomNum(40,1)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,STR,1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
   IF ~RandomNum(40,2)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,DEX,1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
    IF ~RandomNum(40,3)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,CON,1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
    IF ~RandomNum(40,4)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,WIS,1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
      IF ~RandomNum(40,5)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,INT,1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
      IF ~RandomNum(40,6)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,CHR,1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
		
   IF ~RandomNum(40,7)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,STR,2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
   IF ~RandomNum(40,8)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,DEX,2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
    IF ~RandomNum(40,9)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,CON,2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
    IF ~RandomNum(40,10)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,WIS,2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
      IF ~RandomNum(40,11)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,INT,2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
      IF ~RandomNum(40,12)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,CHR,2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
		
   IF ~RandomNum(40,13)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,STR,-1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
   IF ~RandomNum(40,14)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,DEX,-1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
    IF ~RandomNum(40,15)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,CON,-1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
    IF ~RandomNum(40,16)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,WIS,-1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
      IF ~RandomNum(40,17)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,INT,-1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
      IF ~RandomNum(40,18)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,CHR,-1,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT		
	
		
   IF ~RandomNum(40,19)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,STR,-2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
   IF ~RandomNum(40,20)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,DEX,-2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
    IF ~RandomNum(40,21)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,CON,-2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
    IF ~RandomNum(40,22)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,WIS,-2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
      IF ~RandomNum(40,23)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,INT,-2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT
      IF ~RandomNum(40,24)~ THEN  DO ~DestroyItem("MISC6M")
   		ChangeStat(Myself,CHR,-2,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT		
		
      IF ~RandomNum(40,25)~  THEN DO ~DestroyItem("MISC6M")
	  AddXPObject(Myself,50000)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT		  

      IF ~RandomNum(40,26)~  THEN DO ~DestroyItem("MISC6M")
	  AddXPObject(Myself,100000)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT		  

      IF ~RandomNum(40,27)~  THEN DO ~DestroyItem("MISC6M")
	  AddXPObject(Myself,200000)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT		  

      IF ~RandomNum(40,28)~  THEN DO ~DestroyItem("MISC6M")
	 Kill(Myself)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT		  

      IF ~RandomNum(40,29)~  THEN DO ~DestroyItem("MISC6M")
	 ForceSpell(Myself,BERSERKER_ENRAGE)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT		  


      IF ~RandomNum(40,30)~  THEN DO ~DestroyItem("MISC6M")
	ChangeStat(Myself,RESISTCOLD,20,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT	

     IF ~RandomNum(40,31)~  THEN DO ~DestroyItem("MISC6M")
	ChangeStat(Myself,RESISTPOISON,20,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT	

     IF ~RandomNum(40,32)~  THEN DO ~DestroyItem("MISC6M")
	ChangeStat(Myself,RESISTFIRE,-20,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT	
		
      IF ~RandomNum(40,33)~  THEN DO ~DestroyItem("MISC6M")
	ChangeStat(Myself,RESISTCOLD,-20,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT	

     IF ~RandomNum(40,34)~  THEN DO ~DestroyItem("MISC6M")
	ChangeStat(Myself,RESISTPOISON,-20,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT	

     IF ~RandomNum(40,35)~  THEN DO ~DestroyItem("MISC6M")
	ChangeStat(Myself,RESISTFIRE,-20,ADD)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT			

     IF ~RandomNum(40,36)~  THEN DO ~DestroyItem("MISC6M")
	ChangeStat(Myself,USE_ANY_ITEM,1,SET)
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT		
		
     IF ~RandomNum(40,37)~  THEN DO ~DestroyItem("MISC6M")
	ActionOverride(Myself,AddSpecialAbility("SPIN997A"))	
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT				

		
     IF ~RandomNum(40,38)~  THEN DO ~DestroyItem("MISC6M")
	ActionOverride(Myself,AddSpecialAbility("SPIN996"))	
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT

		
     IF ~RandomNum(40,39)~  THEN DO ~DestroyItem("MISC6M")
	ActionOverride(Myself,AddSpecialAbility("SPIN998"))	
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT				
		

		
     IF ~RandomNum(40,40)~  THEN DO ~DestroyItem("MISC6M")
	ReallyForceSpell(Myself,HELL_EXPLODE)	
		IncrementGlobal("Player1CannibalDemonic","GLOBAL",1)~  EXIT				
END


  
